define seg3 23
align 7ffe
show:	mov,b R41,15	;Length is 15h
	mov,w R7C,0093	;Position
dochar:	Dseg 40		;RAM segment
	mov,b R40,[R3e]	;Load byte to R40
	Dseg 08		;VIDEO segment
	mov,b [R3C],R40	;Store byte from RC0 (RC0==R40)
	add,w R7C,1	;Increment display ptr
	add,w R7E,1	;Increment source ptr
	sub,b R41,1	;Decrement counter
	jnz dochar	;Counter <>0 => Next char
	call _disp	;Print it (routine in ROM)
	ret		;return
message: DB "  !! Hello  world !! "
start:	mov,w R5A,0000	;Set offset on the display
        mov,w R7e,message	;Store address of the message
	call show	;Show the message
	call _getkey	;Wait for the key press (routine in ROM)
        jmp _exit	;If still not crashed, exit.
_disp:	cseg 22
	ret
_getkey: cseg seg3
_exit:	Cseg 22
	jmp start
DB	0FF "#"	