;Keyboard Input Library for cfx9850G
;Copyright Martin Poupe (c)2000
;XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
;Returns the key pressed - compatible with ROM _getkey routine
;In case of no keypress returns zero (no wait)
;Result is stored in R0A register,too.
;overwrites R0B (line counter),R0C,R0D (line mask),
;R0E (col counter), R0F(col mask)
getkey: mov,b r0A,0
        mov,b r0b,0    ;first line
        mov,w r0c,1     ;first line mask
getkeynr:db 0b6 0c      ;out kblo R0C
         or,b r0d,80    ;always set this bit, otherwise %^$#^#!
         db 0b4 0d      ;out kbhi R0D
         mov,w R7E,R7E  ;wait a while
         db 0e2 0f      ;read the selected line
         mov,b r0e,10
         test,b r0f,0ff
         jz getkeynr2  ;no key in this line
getkeync:test,b r0f,1
         jnz getkeyOK
         shr,b r0f,1
         add,b r0e,10
         cmp,b r0e,80
         jc getkeync
getkeynr2:
         shl,w r0c,1    ;next line
         add,b r0b,1
         cmp,b r0b,0a
         jc getkeynr
getkeyok:mov,b r0a,r0b
         add,b r0a,r0e
         ret
;XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
