db	"DTIN"
input: db 10 01 02 03 04 05 06 07 08 09 0a 0b
db	"DTOU"
output: db 0FF 0FF 0FF 0FF 0FF 0FF 0FF 0FF 0FF 0FF 0FF 0FF
db	"TEST"
Tint:	db 0FF 0FF 0FF 0FF 0FF 0FF 0FF 0FF 0FF 0FF 0FF 0FF
	ret
TEST:	mov,w r7E,input
	mov,b r40,[r7E]
	call Tint
	mov,w r7E,output
	mov,b [r7E],r40
	jmp SHOW
kbtable:
radix 0A
db   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0
db   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0
db   0   0   0   0   0   0 240   0   0   0   0   0   0   0   0   0
db   0   0   0   0   0   0 224   0   0   0   0   0   0   0   0   0
db   0   0   0   0   0   0 208   0   0   0   0   0   0   0   0   0
db   0   0  48  96 144   0 192   0   0   0   0   0   0   0   0   0
db   0   0  32  80 128   0 176   0   0   0   0   0   0   0   0   0
db   0   0  16  64 112   0 160   0   0   0   0   0   0   0   0   0
radix 10H
fromhexhi:
	call _getkey
        mov,w R40,kbtable
        mov,b R0B,0
        add,w R40,R0A
        mov,b R40,[R40]
        ret
hextmp: DB 00
gethex: call fromhexhi
        mov,w r75,hextmp
        mov,b [r75],r40
        call fromhexhi
        shl,w r40,4
        and,b r41,0f
        or,b r41,[r75]
        mov,b r40,r41
        ret

getseg: call gethex ; change current segment
        mov,w r7E,segnum
        mov,b [r7e],r41
        ret

editB:	call gethex
	jmp stbyte

getaddr:
	call gethex
	mov,w r7E,msghi
        mov,b [r7e],r41
	call gethex
	mov,w r7E,message
        mov,b [r7e],r41
        ret
tohexhi: mov,b r7e,00          ;mov RFE,0 <-RFF=RFF>>4
	 shr,b r7F,1		       ;RFF=RFF>>1
	 shr,b r7F,1		       ;RFF=RFF>>1
	 shr,b r7F,1		       ;RFF=RFF>>1
	 shr,b r7F,1		       ;RFF=RFF>>1
tohexlo: and,b r7f,0F
	 add,b r7F,30              ;add RFF,'0' RFF=RFF & 0F
         cmp,b r7F,3A              ;cmp RFF,';'
         jc hexdone           ;jc hexdone - < 9
         add,b r7f,07              ;add RFF,7 - A..F
hexdone: ret                    ;ret

tobuf:  mov,b [r7C],r7F	       ;mov [7C],RFF
	add,w r7C,01	       ;inc FC
        ret                     ;ret

doaddr: mov,w r7C,buf            ;mov 7C @buf
        call load               ;call load - 7E je adresa v RAM
        call tohexhi            ;up up 4b
        call tobuf              ;to buf
        call load
        call tohexlo            ;up down 4b
        call tobuf
        call load
        mov,b r7f,r7e               ;mov RFF,RFE ->RF=RE
        call tohexhi            ;down up 4b
        call tobuf              ;to buf
        call load
        mov,b r7f,r7e               ;mov RFF,RFE ->RF=RE
        call tohexlo            ;down down 4b
        call tobuf
        mov,b r7f,20               ;mov RFF,#32
        call tobuf
        ret                     ;ret

dohexB: call ldbyte	;Load byte to RFF
        call tohexhi
        call tobuf
	call ldbyte	;Load byte to RFF
        call tohexlo
        call tobuf
        mov,b r7f,20               ;mov RFF,#32
        call tobuf
        add,w r72,01        ;inc RF2
        ret              ;ret

hex4B:  call load
        mov,w r72,r7e        ;R72=E7E
        call dohexB
        call dohexB
        call dohexB
        call dohexB
        ret              ;ret

asci4B: call load
        mov,w r72,r7e        ;R72=R7E
        call ldbyte	;Load byte to RFF
        call tobuf
        add,w r72,1     ;inc RF2
        call ldbyte	;Load byte to RFF
        call tobuf
        add,w r72,1     ;inc RF2
        call ldbyte	;Load byte to RFF
        call tobuf
        add,w r72,1     ;inc RF2
        call ldbyte	;Load byte to RFF
        call tobuf
        ret;        9F

dobuf:	call doaddr
        call hex4B        ;calls
        call asci4B
        ret               ;ret

event:	call _getkey
	cmp,b r0A,27
	jz NEXTCHAR
	cmp,b r0A,38
	jz PREVCHAR
	cmp,b r0A,37
	jz NEXTLINE
	cmp,b r0A,28
	jz PREVLINE
	cmp,b r0A,25
	jz NEXTPAGE
	cmp,b r0A,26
	jz PREVPAGE
	cmp,b r0A,48
	jz SEG
	cmp,b r0A,58
	jz OFFS
	cmp,b r0A,68
	jz EDIT
	cmp,b r0A,47
	jz _exit
	cmp,b r0A,31
	jz TEST
	jmp event

load:	mov,w r7e,message
	mov,w r7e,[r7e]
        ret
NEXTCHAR: mov,w r7e,message
          add,w [r7e], 01
          jmp SHOW
NEXTLINE: mov,w r7e,message
          add,w [r7e], 04
          jmp SHOW
NEXTPAGE: mov,w r7e,message
          add,w [r7e], 20
          jmp SHOW
SEG:      call getseg
          jmp SHOW
OFFS:     call getaddr
	  jmp SHOW
EDIT:	  call editB
	  jmp SHOW
PREVCHAR: mov,w r7e,message
          sub,w [r7e], 01
          jmp SHOW
PREVLINE: mov,w r7e,message
          sub,w [r7e], 04
          jmp SHOW
PREVPAGE: mov,w r7e,message
          sub,w [r7e], 20
          jmp SHOW
showln:   call dobuf
	  mov,b r41,15	;Length is 15h
	  mov,w r7c,93	;Position 93 00
          mov,w r7e,buf
          call dochar
	  mov,w r7e,message
          add,w [r7e], 04
          ret              ;ret
SHOW:
start:  mov,w r5a, 00 	;1Set offset on the display 0000=blue 0001=line2,0080=green
        call showln
        mov,w r5a,  0100	;1Set offset on the display 0000=blue 0001=line2,0080=green
        call showln
        mov,w r5a,  0200	;1Set offset on the display 0000=blue 0001=line2,0080=green
        call showln
        mov,w r5a, 0300	;1Set offset on the display 0000=blue 0001=line2,0080=green
        call showln
        mov,w r5a, 0400	;1Set offset on the display 0000=blue 0001=line2,0080=green
        call showln
        mov,w r5a, 0500	;1Set offset on the display 0000=blue 0001=line2,0080=green
        call showln
        mov,w r5a, 0600	;1Set offset on the display 0000=blue 0001=line2,0080=green
        call showln
        mov,w r5a, 0700	;1Set offset on the display 0000=blue 0001=line2,0080=green
        call showln
        sub,w [r7E],20        ;sub [BE],20
        jmp event
dochar:	dseg 40		;RAM segment by default
	mov,b r40,[r7e]	;Load byte to R40
	dseg 08		;VIDEO segment
	mov,b [r7c],r40	;Store byte from RC0 (RC0==R40)
	add,w r7c,01	;Increment display ptr
    	add,w r7e,01	;Increment src ptr
	sub,b r41,01	;Decrement counter
	jnz dochar	;Counter <>0 => Next char
	call _disp	;Print it (routine in ROM)
	ret		;return
message: db 0FB
msghi:	db  0FC ;address
buf:    db "Nejhorsi jsou trpaslici"
stbyte:	call DDRAM
	mov,w r7E,message
	mov,w r7E,[R7E]
	mov,b [r7E],r40	;Store byte to memory
	ret
DDRAM:	db 0DD
segnum: db 40
	ret
ldbyte: call DDRAM
         mov,b r7f,[r72]	;Load byte to RFF
	dseg 40
	ret

_disp:	cseg 22
	ret
_getkey: cseg 23
_exit:	Cseg 22
	jmp start
DB	0FF "#"
align 7ffe